function checkbasefcnBLA(hObject, eventdata, Empty_Button, Buttons, AxesZLF, ZerolineText, ZeroFunction)
data = get(Empty_Button,'UserData');

if (isfield(data,'isdata')*isfield(data,'isbd') == 1) && (data.isdata*data.isbd == 1)
    
    plot(AxesZLF,1,0,'w');
    onoffButton(Buttons,[],7);
    
    bdi = [];
    for i=1:data.nobd
        bdi = [bdi data.ibd(i,1):data.ibd(i,2)];
    end
    bdi = unique(bdi);

    nbdi = length(bdi);
    if (get(ZeroFunction, 'Value') == 1) && (nbdi < 1)
        set(ZerolineText(6),'String','too small','ForegroundColor','r');
        onoffButton(Buttons,[],6);
        data.isbd = 0;
    elseif (get(ZeroFunction, 'Value') == 2) && (nbdi < 2)
        set(ZerolineText(6),'String','too small','ForegroundColor','r');
        onoffButton(Buttons,[],6);
        data.isbd = 0;
    elseif (get(ZeroFunction, 'Value') == 3) && (nbdi < 3)
        set(ZerolineText(6),'String','too small','ForegroundColor','r');
        onoffButton(Buttons,[],6);
        data.isbd = 0;
    elseif (get(ZeroFunction, 'Value') == 4) && (nbdi < 4)
        set(ZerolineText(6),'String','too small','ForegroundColor','r');
        onoffButton(Buttons,[],6);
        data.isbd = 0;
    elseif (get(ZeroFunction, 'Value') == 5) && (nbdi < 5)
        set(ZerolineText(6),'String','too small','ForegroundColor','r');
        onoffButton(Buttons,[],6);
        data.isbd = 0;
    elseif (get(ZeroFunction, 'Value') == 6) && (nbdi < 4)
        set(ZerolineText(6),'String','too small','ForegroundColor','r');
        onoffButton(Buttons,[],6);
        data.isbd = 0;
    elseif (get(ZeroFunction, 'Value') == 7) && (nbdi < 4)
        set(ZerolineText(6),'String','too small','ForegroundColor','r');
        onoffButton(Buttons,[],6);
        data.isbd = 0;
    else
        set(ZerolineText(6),'String','ok','ForegroundColor','k');

        onoffButton(Buttons,6,[]);
        data.isbd = 1;
    end
    
    set(Empty_Button,'UserData',data);
end

